/*
 * This software is provided as-is.  Lantronix and the author disclaim to the fullest 
 * extent authorized by law any and all warranties, whether express or implied, 
 * including, without limitation, any implied warranties of title, non-infringement, 
 * merchantability or fitness for a particular purpose.   Neither the author nor 
 * Lantronix are responsible for any damage or losses of any kind caused by the use or 
 * misuse of this software.  IN NO EVENT SHALL THE AUTHOR OR LANTRONIX BE 
 * LIABLE FOR ANY DAMAGES, INCLUDING  INCIDENTAL OR CONSEQUENTIAL 
 * DAMAGES, IN CONNECTION WITH OR ARISING FROM THE FURNISHING, 
 * PERFORMANCE, OR USE OF THIS SOFTWARE.
 * 
 */

#ifndef __main_h_
#define __main_h_
#include <mqx.h>
#include <bsp.h>



#define INIT_TASK 5
#define RECV_TASK 7
#define SEND_TASK 8
#define CONFIG_TASK 9


extern void init_task(uint_32);
extern void recv_task(uint_32);
extern void send_task(uint_32);
extern void config_task(uint_32);

extern char uid[15];

typedef struct uart_sem
{
	LWSEM_STRUCT	READ_SEM;
} UART_SEM, _PTR_ UART_SEM_PTR;

extern UART_SEM uartsem;


#endif /* __main_h_ */

