/*
* 
 * This software is provided as-is.  Lantronix and the author disclaim to the fullest 
 * extent authorized by law any and all warranties, whether express or implied, 
 * including, without limitation, any implied warranties of title, non-infringement, 
 * merchantability or fitness for a particular purpose.   Neither the author nor 
 * Lantronix are responsible for any damage or losses of any kind caused by the use or 
 * misuse of this software.  IN NO EVENT SHALL THE AUTHOR OR LANTRONIX BE 
 * LIABLE FOR ANY DAMAGES, INCLUDING  INCIDENTAL OR CONSEQUENTIAL 
 * DAMAGES, IN CONNECTION WITH OR ARISING FROM THE FURNISHING, 
 * PERFORMANCE, OR USE OF THIS SOFTWARE.
*
*/
#include "main.h"


#if !BSPCFG_ENABLE_IO_SUBSYSTEM
#error This application requires BSPCFG_ENABLE_IO_SUBSYSTEM defined non-zero in user_config.h. Please recompile BSP with this option.
#endif


#ifndef BSP_DEFAULT_IO_CHANNEL_DEFINED
#error This application requires BSP_DEFAULT_IO_CHANNEL to be not NULL. Please set corresponding BSPCFG_ENABLE_TTYx to non-zero in user_config.h and recompile BSP with this option.
#endif


TASK_TEMPLATE_STRUCT MQX_template_list[] = 
{ 
/*  Task number, Entry point, Stack, Pri, String, Auto? */
   {INIT_TASK,   init_task,   1500,  9,   "init", MQX_AUTO_START_TASK, 0, 0},
   {RECV_TASK, recv_task, 1500, 11, "recv", 0, 0, 0 },
   {SEND_TASK, send_task, 3000, 12, "send", 0, 0, 0 },
   {CONFIG_TASK, config_task, 4000, 13, "config", 0, 0, 0},
   {0,           0,           0,     0,   0,      0,                 }
};

/* EOF */
